Bug 699035 (CVE-2011-1720) - CVE-2011-1720 postfix (smtpd): Crash due to improper management of SASL handlers for SMTP sessions
Summary: CVE-2011-1720 postfix (smtpd): Crash due to improper management of SASL handl...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1720
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 704133 704134 704135 704136 704137 833972
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-22 18:27 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 15:31:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0843 normal SHIPPED_LIVE Moderate: postfix security update 2011-05-31 15:46:03 UTC

Description Jan Lieskovsky 2011-04-22 18:27:29 UTC
A heap-based buffer overread flaw was found in the way Postfix
mail transport agent performed SASL handlers management for
SMTP sessions, when the Cyrus SASL authentication was enabled.
A remote attacker could use this flaw to cause Postfix smtpd
server crash via specially-crafted SASL authentication request.

Note: The default configuration of Postfix mail transport agent,
      as shipped with Red Hat Enterprise Linux 4, 5, and 6 do
      not enable SASL support for SMTP authentication for mail
      clients (thus Postfix server instances using it are not
      vulnerable to this flaw).

Workaround: If your Postfix server configuration contains
      directive like:

        smtpd_sasl_auth_enable = yes

      change 'yes' to 'no' or comment the whole line out not
      to be vulnerable to this flaw.

Comment 1 Jan Lieskovsky 2011-04-22 18:29:08 UTC
This issue affects the versions of the postfix package, as shipped
with Red Hat Enterprise Linux 4, 5, and 6.

--

This issue affects the versions of the postfix package, as shipped
with Fedora release of 13 and 14.

Comment 6 Tomas Hoger 2011-05-09 14:33:21 UTC
Public now via:
  http://thread.gmane.org/gmane.mail.postfix.announce/127
  http://www.postfix.org/CVE-2011-1720.html (to be available soon)

Comment 8 Jan Lieskovsky 2011-05-13 10:27:00 UTC
Acknowledgements:

Red Hat would like to thank the CERT/CC for reporting CVE-2011-1720. Upstream
acknowledges Thomas Jarosch of Intra2net AG as the original reporter.

Comment 12 errata-xmlrpc 2011-05-31 15:46:09 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:0843 https://rhn.redhat.com/errata/RHSA-2011-0843.html


Note You need to log in before you can comment on or make changes to this bug.